vRPjobsC = {}
Tunnel.bindInterface("vRP_jobs",vRPjobsC)
Proxy.addInterface("vRP_jobs",vRPjobsC)
vRP = Proxy.getInterface("vRP")
vRPSjobs = Tunnel.getInterface("vRP_jobs","vRP_jobs")

function drawText(text, x, y, scale, r, g, b)
	SetTextFont(4)
	SetTextCentre(1)
	SetTextProportional(0)
	SetTextScale(scale, scale)
	SetTextDropShadow(30, 5, 5, 5, 255)
	SetTextEntry("STRING")
	SetTextColour(r, g, b, 255)
	AddTextComponentString(text)
	DrawText(x, y)
end

function drawtotal(x,y,z,textInput,fontId,scaleX,scaleY,r, g, b)
  local px,py,pz=table.unpack(GetGameplayCamCoords())
  local dist = GetDistanceBetweenCoords(px,py,pz, x,y,z, 1)    
  local scale = (1/dist)*20
  local fov = (1/GetGameplayCamFov())*100
  local scale = scale*fov   
    SetTextScale(scaleX*scale, scaleY*scale)
    SetTextFont(fontId)
    SetTextProportional(1)
    SetTextColour(r, g, b, 180)
    SetTextDropshadow(1, 1, 1, 1, 255)
    SetTextEdge(2, 0, 0, 0, 150)
    SetTextDropShadow()
    SetTextOutline()
    SetTextEntry("STRING")
    SetTextCentre(1)
    AddTextComponentString(textInput)
    SetDrawOrigin(x,y,z+2, 0)
    DrawText(0.0, 0.0)
    ClearDrawOrigin()
end

function drawScreenTextz(x, y, width, height, scale, text, r, g, b, a, center)
  SetTextFont(4)
  SetTextProportional(0)
  SetTextScale(scale, scale)
  SetTextColour(r, g, b, a)
  SetTextDropShadow(0, 0, 0, 0, 255)
  SetTextEdge(1, 0, 0, 0, 255)
  SetTextDropShadow()
  SetTextCentre(center)
  SetTextEntry("STRING")
  AddTextComponentString(text)
  DrawText(x - width / 2, y - height / 2 + 0.005)
end

function drawScreenTextz2(x, y, width, height, scale, text, r, g, b, a, center, font)
  SetTextFont(font)
  SetTextProportional(0)
  SetTextScale(scale, scale)
  SetTextColour(r, g, b, a)
  SetTextDropShadow(0, 0, 0, 0, 255)
  SetTextEdge(1, 0, 0, 0, 255)
  SetTextDropShadow()
  SetTextCentre(center)
  SetTextEntry("STRING")
  AddTextComponentString(text)
  DrawText(x - width / 2, y - height / 2 + 0.005)
end

_GPED = PlayerPedId()
_GCOORDS = vector3(0.0,0.0,0.0)
_GHEADING = 0.0 
CreateThread(function()
    while true do
        _GPED = PlayerPedId()
        _GCOORDS = GetEntityCoords(_GPED)
        _GVEHSTATE = IsPedSittingInAnyVehicle(_GPED)
        _GVEHICLE = GetVehiclePedIsIn(_GPED,false)
        _GHEADING = GetEntityHeading(_GPED)
        Wait(1000)
    end
end)